Subject: Re: bug#23431: 25.0.93; EWW hangs

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 03 May 2016 17:57:59 +0200

I wonder what the best thing to do here is...

First of all: Can the animation function determine that it's making
Emacs unresponsive?  I guess it could keep track of how much time is
passing between each time it's called, and if that's longer than the
timeout, it should ... postpone itself a bit further to allow some
keystrokes to get in between each frame?

That would slow down the animation even further, but make Emacs more
responsive, so I think that should probably be done.

The other thing is that the ImageMagick animation thing I implemented is
s-l-o-w.  (And eww is using that instead of the GIF animation, since GIF
doesn't allow rescaling.)

If somebody could take a peek at imagemagick_compute_animated_image and
make it much, much faster, that would be really nice.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no